#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "Luna"
iconName = "Luna"
longName = "Luna"
shipFile = "Luna"
species = App.SPECIES_GALAXY
menuGroup = "Fed Ships"
playerMenuGroup = "Fed Ships"
Foundation.ShipDef.Luna = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.Luna.desc = "Description: The Luna class starship is a medium-sized explorer-type starship designed primarily for scientific and exploratory missions which entered service in the late 24th century. This class of starships was originally conceived in 2369 by Starfleet engineer Dr. (Commander) Xin Ra-Havreii. Dr. Ra-Havreii was motivated by the discovery of the Bajoran wormhole in that year and so the Luna class was originally designed to explore planets in the Gamma quadrant. However, the advent of the Dominion War caused Starfleet to shelve the plans for these exploratory vessels in favor of more heavily-armed starships for obvious reasons. However, with the end of the war, Starfleet re-evaluated the Luna-class plans and decided to proceed with the project. Initially, 12 ships were ordered, and all were completed by 2379. \n\nOut of necessity, Starfleet had become very much a military organization during the war, whereas it traditionally placed an equal if not greater emphasis on exploration. Hence, the Luna class signified a return to the previous status quo and showed that Starfleet was determined to not simply remain a strictly military organization. Many have compared this class of starships with the Constitution class starships of the previous century which carried out similar roles.\n\nShips of the class are approximately 450 meters in length and carry a crew complement of approximately 350. Additionally, these ships carry a modest armanent, sufficient to defend itself in many situations but not as well armed as the larger Galaxy and Sovereign classes nor the similarly sized but more combat-oriented Akira class. As with most starships, Luna class ships are not designed for atmospheric operations or combat but carry a complement of 8 shuttles of differing specification which are capable of operations in or out of atmospheres. Additionally, as with some other Starfleet ship classes, the Luna class ships include a \"captain\'s yacht\", a larger and more luxurious vessel than typical shuttlecraft for the express use of the vessel\'s commanding officer.\n\nWeapons : 9 Medium Phaser Arrays\n\n4 Torpedo Tubes (Complement 120 Photon, 50 Quantum)\n\nShield Rating : Medium Shield Generator \n\nF: 1200\n\nA: 1000\n\nT: 1000\n\nB: 1000\n\nL: 1000\n\nR: 1000\n\nHull Rating: Standard Hull Plating 1200"
Foundation.ShipDef.Luna.fMaxWarp = 9.75 + 0.0001
Foundation.ShipDef.Luna.fCruiseWarp = 9.2 + 0.0001


if menuGroup:           Foundation.ShipDef.Luna.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Luna.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
